Bug 592338 - Beaker tesk cannot be cancelled from Web UI - Internal Server Error
Summary: Beaker tesk cannot be cancelled from Web UI - Internal Server Error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: 0.5
Hardware: All
OS: Linux
high
medium vote
Target Milestone: ---
Assignee: Bill Peck
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-14 15:28 UTC by Frantisek Reznicek
Modified: 2019-05-22 13:33 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-20 14:55:58 UTC


Attachments (Terms of Use)

Description Frantisek Reznicek 2010-05-14 15:28:26 UTC
Description of problem:

I was not able to cacel my job, tried it three times all attempts end with:

Internal Server Error
The server encountered an internal error or misconfiguration and was unable to complete your request.
Please contact the server administrator, sysadmin-engops@redhat.com and inform them of the time the error occurred, and anything you might have done that may have caused the error.
More information about this error may be available in the server error log.

https://beaker.engineering.redhat.com/jobs/cancel?id=625

Version-Release number of selected component (if applicable):
0.5.35

How reproducible:
100%

Steps to Reproduce:
1. log in and try to cancel the running task

  
Actual results:
Job is not cancelled

Expected results:
Job should be cancelled

Additional info:

Comment 1 Raymond Mancy 2010-05-17 05:53:42 UTC
Running a normal Job, I can't seem to replicate this.
It seems that the watchdog ended up aborting your Job. Is this the only Job that gives you an ISE when you try and cancel it?

Comment 2 Frantisek Reznicek 2010-05-17 15:32:35 UTC
I was trying to cancel job 625. As I found today there were some infrastructure issues.
I'll try once more and let you know then.

Comment 3 Frantisek Reznicek 2010-05-17 15:38:23 UTC
Tested for https://beaker.engineering.redhat.com/jobs/cancel?id=631 from another browser (opera 9.64).

It works now, so it seems the bug has no content.

Comment 4 Bill Peck 2010-05-17 15:40:04 UTC
Thanks for the report.  I'm sure this is related to the mod_wsgi issue we have come across.

The fix is to set the status to "cancelling" and have the scheduler code do the actual work.

Will update when I get a chance to implement.

Comment 5 Bill Peck 2010-05-20 14:55:58 UTC
Changed the configuration of beaker and the 500 ISE errors have gone away. Having threads enabled in mod_wsgi was causing problems.


Note You need to log in before you can comment on or make changes to this bug.